Subject: Re: bug#76974: 31.0.50; [wishlist] Add global key binding for tramp-revert-buffer-with-sudo

From: Robert Pluim <[email-masked]>
Date: Wed, 12 Mar 2025 10:58:04 +0100

>>>>> On Wed, 12 Mar 2025 02:43:18 -0700, Daniel Colascione <[email-masked]> said:

    Daniel> On March 12, 2025 1:50:43 AM PDT, "Stephen Berman via Bug reports for
    Daniel> GNU Emacs, the Swiss army knife of text editors"
    Daniel> <[email-masked]> wrote:
    >> On Wed, 12 Mar 2025 09:27:50 +0100 Michael Albinus via "Bug reports
    >> for GNU Emacs, the Swiss army knife of text editors"
    >> <[email-masked]> wrote:
    >> 
    >>> tramp-revert-buffer-with-sudo has been added to Emacs 30.1. I propose to
    >>> give it a global key binding 'C-x @'. With this binding, it is more
    >>> simple to revert the current buffer to visit with "sudo"
    >>> permissions. This is useful for buffers visiting a file, or for dired
    >>> buffers.
    >> 
    >> `C-x @' is the prefix for the `event-apply-*-modifier' functions in the
    >> globally accessible function-key-map.

    Daniel> This prefix binding is sitting on some pretty valuable real estate ---
    Daniel> not as valuable as C-o, granted, but still. Is the modifier prefix
    Daniel> feature justifying its squatting on this binding? I don't think I've
    Daniel> ever used it on purpose, and keyboards with missing essential
    Daniel> modifiers are a rarity. Seems like a niche feature to enable with a
    Daniel> mode or something.

Itʼs one of those things that are useless until you need it, and then
you *really* need it 🙂

    Daniel> That said, does the sudo feature (which is great and sorely needed)
    Daniel> need such a prominent keybinding? Might M-x sudo be sufficient? People
    Daniel> type s u d o in the terminal all the time.

How about "C-u C-u M-x revert-buffer", and then people can choose
their own key binding? Sticking it on "C-x @" or "C-x |" seems like
overkill.

Robert
--